l141c	dw	l1540,l1582,l15f3,l160d
	dw	l1614,l1681,l16c5,l1731
	dw	l1749,l1788,l17af,l17cc
	dw	l17f6,l1821,l1851,l186f

l143c	db	000h,000h,000h,000h,000h,000h,000h,000h,004h,000h,000h,001h,000h,000h,000h,000h
	db	080h,0FFh,0FFh,0FFh,07Fh,000h,000h,000h,005h,000h,000h,002h,000h,000h,000h,000h
	db	000h,080h,0FFh,0FFh,0FFh,07Fh,000h,000h,006h,000h,000h,004h,000h,000h,000h,000h
	db	000h,000h,000h,080h,0FFh,0FFh,0FFh,07Fh,008h,000h,000h,001h,000h,000h,000h,000h
	db	000h,000h,000h,000h,0FFh,000h,000h,000h,009h,000h,000h,002h,000h,000h,000h,000h
	db	000h,000h,000h,000h,0FFh,0FFh,000h,000h,00Ah,000h,000h,004h,000h,000h,000h,000h
	db	000h,000h,000h,000h,0FFh,0FFh,0FFh,0FFh,00Dh,000h,000h,004h,000h,000h,000h,000h
	db	00Fh,000h,000h,008h,000h,000h,000h,000h,010h,000h,000h,00Ah,000h,000h,000h,000h
	db	00Eh,000h,000h,006h,000h,000h,000h,000h,028h,000h,000h,001h,000h,000h,000h,000h
	db	00Ch,000h,000h,001h,000h,000h,000h,000h,000h,000h,000h,000h,0FFh,000h,000h,000h
	db	007h,000h,000h,008h,000h,000h,000h,000h,00Bh,000h,000h,008h,000h,000h,000h,000h
	db	02Bh,000h,000h,00Ah,000h,000h,000h,000h,026h,000h,000h,000h,001h,000h,000h,000h
	db	027h,000h,000h,080h,000h,000h,001h,000h,016h,000h,000h,004h,000h,000h,001h,000h
	db	003h,000h,000h,000h,001h,0FFh,000h,000h,023h,000h,000h,004h,000h,041h,001h,000h
	db	023h,000h,000h,004h,000h,045h,001h,000h,023h,000h,000h,004h,000h,001h,001h,000h
	db	023h,000h,000h,004h,000h,005h,001h,000h,023h,000h,000h,000h,000h,007h,001h,000h

l153c	dw	l03a2,l03d4
l1540	proc	near
	xor	bx,bx
	mov	cx,es:[42h]
@@1:	jcxz	@@2
	push	bx
	mov	ax,9
	cwd
	inc	cx
	mul	cx
	push	es
	call	GetMem
	call	StartBuf
	pop	es
	mov	d3cb6,di
	push	Cnt.SymbolCount
	call	cs:l153c[bx]
	pop	ax
	call	l1b6b
	pop	bx
@@2:	or	bx,bx
	jnz	@@3
	mov	cx,es:[4ah]
	inc	bx
	inc	bx
	jmp	@@1
@@3:	lea	ax,l04cf
	call	TraceIterator
	call	l194e
	ret
l1540	endp

l1582	proc	near
	mov	ax,10h
	cwd
	call	GetMem
	mov	ax,es:[42h]
	add	Cnt.SymbolCount,ax
	mov	ax,es:[44h]
	add	ax,Cnt.NameCount
	mov	Cnt.NameCount,ax
	mov	bx,es:[3ch]
	mov	cx,es:[3eh]
	mov	dx,es:[4ah]
	push	es
	call	StartBuf
	stosw
	mov	ax,402h
	stosw
	mov	ax,Cnt.SymbolCount
	or	dx,dx
	jnz	@@1
	mov	ax,dx
@@1:	stosw
	mov	ax,dx
	stosw
	mov	ax,Cnt.SourceFileCount
	or	bx,bx
	jnz	@@2
	mov	ax,bx
@@2:	stosw
	mov	ax,bx
	stosw
	add	Cnt.SourceFileCount,ax
	mov	ax,cx
	jcxz	@@3
	mov	ax,Cnt.CorrelCount
@@3:	stosw
	mov	ax,cx
	stosw
	add	Cnt.CorrelCount,ax
	call	StopBuf
	pop	es
	call	l194e
	lea	ax,l1958
	call	TraceIterator
	add	Cnt.SymbolCount,dx
	ret
l1582	endp

l15f3	proc	near
	mov	ax,es:[44h]
	inc	ax
	add	Cnt.NameCount,ax
	mov	ax,es:[3ch]
	cwd
	mov	cx,6
	mul	cx
	call	GetMem
	call	l0603
	ret
l15f3	endp

l160d	proc	near
	lea	ax,l127d
	call	TraceIterator
	ret
l160d	endp

l1614	proc	near
	mov	ax,0ch
	cwd
	call	GetMem
	xor	dx,dx
	xor	cx,cx
	mov	di,es:[0ch]
	mov	bx,es:[di+4]
	cmp	bx,-1
	je	@@1
	add	bx,es:[0eh]
	mov	dx,es:[bx]
	mov	ax,es:[di+6]
	add	dx,ax
	mov	cx,es:[bx+2]
	sub	cx,ax
@@1:	mov	bx,es:[42h]
	mov	si,es:[46h]
	push	es
	call	StartBuf
	mov	ax,Cnt.SymbolCount
	stosw
	mov	ax,bx
	stosw
	add	Cnt.SymbolCount,ax
	mov	ax,si
	stosw
	mov	ax,-1
	stosw
	mov	ax,dx
	stosw
	mov	ax,cx
	stosw
	call	StopBuf
	pop	es
	xor	dx,dx
	lea	ax,l1958
	call	TraceIterator
	add	dx,es:[4ah]
	add	Cnt.SymbolCount,dx
	inc	word ptr Cnt[8]
	ret
l1614	endp

l1681	proc	near
	mov	ax,es:[42h]
	add	ax,es:[4ah]
	add	Cnt.SymbolCount,ax
	mov	ax,es
	cmp	ax,LastUnit
	je	@@1
	mov	ax,es:[46h]
	sub	ax,Cnt.ScopeCount
	inc	ax
	xor	dx,dx
	mov	cx,0ch
	mul	cx
	call	GetMem
	call	StoreUnit
	mov	ax,es:[40h]
	xor	dx,dx
	mov	cx,0ch
	mul	cx
	call	GetMem
	lea	ax,l068b
	call	TraceIterator
@@1:	inc	Cnt.SegmentCount
	ret
l1681	endp

l16c5	proc	near
	mov	ax,10h
	cwd
	call	GetMem
	mov	Cnt.ScopeCount,1
	mov	ax,es:[46h]
	add	Cnt.ScopeCount,ax
	mov	bx,es:[2ch]
	mov	cx,es:[30h]
	or	cx,cx
	jnz	@@1
	mov	cx,es:[2eh]
@@1:	mov	dx,es:[40h]
	mov	si,es:[3eh]
	call	StartBuf
	mov	ax,Cnt.SegmentCount
	stosw
	mov	ax,bx
	stosw
	xor	ax,ax
	stosw
	mov	ax,cx
	stosw
	mov	ax,Cnt.ScopeCount
	or	dx,dx
	jnz	@@2
	mov	ax,Cnt.SegmentCount
	mov	dx,1
@@2:	stosw
	mov	ax,dx
	stosw
	mov	ax,Cnt.CorrelCount
	or	si,si
	jnz	@@3
	xor	ax,ax
@@3:	stosw
	mov	ax,si
	stosw
	add	Cnt.CorrelCount,ax
	call	StopBuf
	inc	Cnt.SegmentCount
	ret
l16c5	endp

l1731	proc	near
	mov	cx,es:[3eh]
	jcxz	@@1
	mov	ax,8
	cwd
	mul	cx
	call	GetMem
	call	l063e
@@1:	inc	Cnt.XPEHCount
	ret
l1731	endp

l1749	proc	near
	cmp	Cnt.TypeCount,1
	jne	@@1
	mov	cx,d3cf0
	mov	ax,8
	cwd
	mul	cx
	call	GetMem
	push	es
	mov	cx,100h
	call	StartBuf
	mov	d3cb8,di
	push	ds
	lea	si,l143c
	push	cs
	pop	ds
	rep	movsb
	pop	ds
	call	StopBuf
	pop	es
	mov	Cnt.TypeCount,21h
@@1:	call	l039b
	lea	ax,l04b2
	call	TraceIterator
	call	l194e
	ret
l1749	endp

l1788	proc	near
	mov	cx,d3cf2
	jcxz	@@2
	cmp	Cnt.MemberCount,1
	jne	@@1
	mov	ax,5
	cwd
	mul	cx
	call	GetMem
@@1:	call	l039b
	lea	ax,l04b2
	call	TraceIterator
	call	l194e
	ret
@@2:	call	l05ba
	ret
l1788	endp

l17af	proc	near
	mov	cx,es:[48h]
	add	cx,es:[4ch]
	jcxz	@@1
	mov	ax,0bh
	cwd
	mul	cx
	call	GetMem
	call	l039b
	ret
@@1:	call	l05ba
	ret
l17af	endp

l17cc	proc	near
	mov	cx,d3cf4
	jcxz	@@2
	cmp	Cnt.ParentCount,1
	jne	@@1
	mov	ax,2
	cwd
	mul	cx
	call	GetMem
@@1:	mov	cx,es:[48h]
	add	cx,es:[4ch]
	jcxz	@@2
	call	l039b
	ret
@@2:	call	l05ba
	ret
l17cc	endp

l17f6	proc	near
	mov	ax,4
	cwd
	call	GetMem
	mov	ax,Cnt.ClassCount
	mov	bx,es:[48h]
	or	bx,bx
	jnz	@@1
	mov	ax,bx
@@1:	mov	cx,es:[4ch]
	call	StartBuf
	stosw
	mov	ax,bx
	stosw
	call	StopBuf
	add	bx,cx
	add	Cnt.ClassCount,bx
	ret
l17f6	endp

l1821	proc	near
	mov	ax,8
	cwd
	call	GetMem
	mov	cx,Cnt.ClassCount
	add	cx,es:[48h]
	mov	bx,es:[4ch]
	or	bx,bx
	jnz	@@1
	mov	cx,bx
@@1:	call	StartBuf
	xor	ax,ax
	stosw
	stosw
	mov	ax,cx
	stosw
	mov	ax,bx
	stosw
	call	StopBuf
	add	Cnt.ClassCount,bx
	ret
l1821	endp

l1851	proc	near
	mov	cx,d3cf6
	jcxz	@@2
	cmp	Cnt.DataCount,1
	jne	@@1
	mov	ax,cx
	xor	dx,dx
	call	GetMem
@@1:	call	l039b
	lea	ax,l04b2
	call	TraceIterator
@@2:	ret
l1851	endp

l186f	proc	near
	call	l039b
	lea	ax,l04b2
	call	TraceIterator
	call	StoreUnitName
	call	l0603
	ret
l186f	endp
